[jira] [Closed] (GERONIMO-6747) .jsp cannot be compiled to .class

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Closed] (GERONIMO-6747) .jsp cannot be compiled to .class

George McCone (Jira)

     [ https://issues.apache.org/jira/browse/GERONIMO-6747?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

mengln closed GERONIMO-6747.
----------------------------
    Resolution: Fixed

> .jsp cannot be compiled to .class
> ---------------------------------
>
>                 Key: GERONIMO-6747
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-6747
>             Project: Geronimo
>          Issue Type: Test
>      Security Level: public(Regular issues)
>          Components: JVM-compatibility, Tomcat
>    Affects Versions: 2.1.8
>            Reporter: mengln
>            Priority: Major
>             Fix For: 2.1.8
>
>
> The project has been released (installed to the computer), the previous environment is: Geronimo 2.1.8 (embedded tomcat6.35) + java7. Now you need to upgrade java7 to java11, when you first visit the web page, you get an error:
> Jsp Servlet.service () threw an exception, "Cannot compile JSP class:
> An error occurred at line: 1 in the generated java file
> The type java.io.ObjectInputStream cannot be resolved. It is indirectly referenced from required .class files.
> Trying to replace Jasper.jar, but the service started up error



--
This message was sent by Atlassian Jira
(v8.3.2#803003)